SplQueue::enqueue
SplHeap
SplQueue
PHP Manual

# SplQueue::setIteratorMode

(PHP 5 >= 5.3.0)

SplQueue::setIteratorMode — Sets the mode of iteration

### Description

void SplQueue::setIteratorMode ( int `$mode` )

### Parameters

`mode`

  There is only one iteration parameter you can modify.

  - The behavior of the iterator (either one or the other):
    - `SplDoublyLinkedList::IT_MODE_DELETE` (Elements are deleted by the iterator)
    - `SplDoublyLinkedList::IT_MODE_KEEP` (Elements are traversed by the iterator)

  The default mode is: `SplDoublyLinkedList::IT_MODE_FIFO` | `SplDoublyLinkedList::IT_MODE_KEEP`

  Warning

  The direction of iteration can not be changed for SplQueues, it is always `SplDoublyLinkedList::IT_MODE_FIFO`.

### Return Values

No value is returned.

### Errors/Exceptions

Throws a RuntimeException on trying to change the direction of iteration by using `SplDoublyLinkedList::IT_MODE_LIFO`.

SplQueue::enqueue
SplHeap
SplQueue
PHP Manual